Subject: bug#19886: 11.87; emacs 24 and jit-lock-force-redisplay

From: Uwe Brauer <[email-masked]>
Date: Tue, 17 Feb 2015 12:46:40 +0100

Hello

Every time I enter a LaTeX file I obtain and error concerning
jit-lock-force-redisplay. This error pops up periodically and is
annoying.

I attach a bug trace.

Uwe Brauer

PD I have not switched to GNU emacs.

Debugger entered--Lisp error: (wrong-number-of-arguments (2 . 2) 3)
  jit-lock-force-redisplay(#<buffer alit.tex> 1 515)
  font-latex-jit-lock-force-redisplay(#<buffer alit.tex> 1 515)
  apply(font-latex-jit-lock-force-redisplay (#<buffer alit.tex> 1 515))
  byte-code("r\301\302H\303H\"\210)\301\207" [timer apply 5 6] 4)
  timer-event-handler([t 21731 10428 250010 nil font-latex-jit-lock-force-redisplay (#<buffer alit.tex> 1 515) nil 412000])

Emacs  : GNU Emacs 24.3.50.1 (i686-pc-linux-gnu, GTK+ Version 2.20.1)
 of 2013-06-30 on Burrurr
Package: 11.87

current state:
==============
(setq
 AUCTeX-date "2012-11-30"
 window-system 'x
 LaTeX-version "2e"
 TeX-style-path '("/usr/local/var/auctex" "/home/oub/emacs/site-lisp/packages/auctex-11.87/auctex/style"
		  "/home/oub/.emacs.d/auctex/auto" "/home/oub/.emacs.d/auctex/style" "auto" "style")
 TeX-auto-save nil
 TeX-parse-self nil
 TeX-master t
 TeX-command-list '(("TeX" "%(PDF)%(tex) %`%S%(PDFout)%(mode)%' %t" TeX-run-TeX nil
		     (plain-tex-mode texinfo-mode ams-tex-mode) :help "Run plain TeX")
		    ("LaTeX" "%`%l%(mode)%' %t" TeX-run-TeX nil (latex-mode doctex-mode) :help "Run LaTeX")
		    ("Makeinfo" "makeinfo %t" TeX-run-compile nil (texinfo-mode) :help
		     "Run Makeinfo with Info output")
		    ("Makeinfo HTML" "makeinfo --html %t" TeX-run-compile nil (texinfo-mode) :help
		     "Run Makeinfo with HTML output")
		    ("AmSTeX" "%(PDF)amstex %`%S%(PDFout)%(mode)%' %t" TeX-run-TeX nil (ams-tex-mode) :help
		     "Run AMSTeX")
		    ("ConTeXt" "texexec --once --texutil %(execopts)%t" TeX-run-TeX nil (context-mode) :help
		     "Run ConTeXt once")
		    ("ConTeXt Full" "texexec %(execopts)%t" TeX-run-TeX nil (context-mode) :help
		     "Run ConTeXt until completion")
		    ("BibTeX" "bibtex %s" TeX-run-BibTeX nil t :help "Run BibTeX")
		    ("Biber" "biber %s" TeX-run-Biber nil t :help "Run Biber")
		    ("pandoclatex2odt" "pandoc -s -R -f latex --toc %t -t odt -o %O" TeX-run-command t t)
		    ("panlatex2rtf" "pandoc -s -R -f latex --toc %t -t rtf -o %R" TeX-run-command t t)
		    ("latex2rtf" "latex2rtf -f0 %t" TeX-run-command t t)
		    ("rabiword" "abiword %R" TeX-run-command t t)
		    ("oabiword" "abiword %O" TeX-run-command nil t)
		    ("View" "%V" TeX-run-discard-or-function t t :help "Run Viewer")
		    ("Print" "%p" TeX-run-command t t :help "Print the file")
		    ("Queue" "%q" TeX-run-background nil t :help "View the printer queue" :visible
		     TeX-queue-command)
		    ("File" "%(o?)dvips %d -o %f " TeX-run-command t t :help "Generate PostScript file")
		    ("Index" "makeindex %s" TeX-run-command nil t :help "Create index file")
		    ("Check" "lacheck %s" TeX-run-compile nil (latex-mode) :help
		     "Check LaTeX file for correctness")
		    ("Spell" "(TeX-ispell-document \"\")" TeX-run-function nil t :help
		     "Spell-check the document")
		    ("Clean" "TeX-clean" TeX-run-function nil t :help "Delete generated intermediate files")
		    ("Clean All" "(TeX-clean t)" TeX-run-function nil t :help
		     "Delete generated intermediate and output files")
		    ("Other" "" TeX-run-command t t :help "Run an arbitrary command"))
 )
-- 

>From an unknown origin:

     A: Because it disturbs the natural flow of conversation.
     Q: Why don't you like top-posting?

     A: Top posters.
     Q: What is the most annoying thing on Usenet?

Dr. Uwe Brauer

Departamento de Matemática Aplicada
Facultad de Químicas
Universidad Complutense de Madrid
Avenida Complutense s/n

28040 Madrid

email: [email-masked]
tel: (+34) 91 394 5224
fax: (+34) 91 394 4102
Blog http://salvemoslacomplu.wordpress.com/
webpage cadedif:www.mat.ucm.es/~cadedif
pgp key  available at http://pgp.mit.edu

Fingerprint 
54 62 A9 67 D4 B8 76 1A  72 82 AB 35 81 5D A2 DC